Skip to content

ParticipantService⁠

Manage participant records.

Operations⁠

getParticipantTransactionPagedListSelectFields⁠

POST

Retrieves a paged list of participant transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ParticipantNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/participant/getParticipantTransactionPagedListSelectFields
POST /nexum/627/2022.01/participant/getParticipantTransactionPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ParticipantNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllParticipantTransactionFields": true,
    "ParticipantTransactionFields": {
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentFlag": true,
      "AgId": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantNumber": true,
      "ParticipantType": true,
      "PoolNumber": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchParticipantTransactionPagedSelectFields⁠

POST

Searches participant transactions with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ParticipantNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/participant/searchParticipantTransactionPagedSelectFields
POST /nexum/627/2022.01/participant/searchParticipantTransactionPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ParticipantNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllParticipantTransactionFields": true,
    "ParticipantTransactionFields": {
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentFlag": true,
      "AgId": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantNumber": true,
      "ParticipantType": true,
      "PoolNumber": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}